JUCE: AudioProcessorParameterWithIDAttributes Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
AudioProcessorParameterWithIDAttributes Class Reference
juce_audio_processors » utilities

An instance of this class may be passed to the constructor of an AudioProcessorParameterWithID to set optional characteristics of that parameter. More...

`#include <juce_AudioProcessorParameterWithID.h>`

## Public Types
using | Category = AudioProcessorParameter::Category

## Public Member Functions
auto | withLabel (String x) const
| An optional label for the parameter's value.
auto | withCategory (Category x) const
| The semantics of this parameter.
auto | withMeta (bool x) const
auto | withAutomatable (bool x) const
auto | withInverted (bool x) const
auto | getLabel () const
| An optional label for the parameter's value.
auto | getCategory () const
| The semantics of this parameter.
auto | getMeta () const
auto | getAutomatable () const
auto | getInverted () const

## Detailed Description

An instance of this class may be passed to the constructor of an AudioProcessorParameterWithID to set optional characteristics of that parameter.

## Member Typedef Documentation

## ◆ Category

using AudioProcessorParameterWithIDAttributes::Category = AudioProcessorParameter::Category

## Member Function Documentation

## ◆ withLabel()

auto AudioProcessorParameterWithIDAttributes::withLabel | ( | String | x | ) | const

An optional label for the parameter's value.

References withMember(), and x.

Referenced by RangedAudioParameterAttributes< Derived, Value >::withLabel().

## ◆ withCategory()

auto AudioProcessorParameterWithIDAttributes::withCategory | ( | Category | x | ) | const

The semantics of this parameter.

References withMember(), and x.

Referenced by RangedAudioParameterAttributes< Derived, Value >::withCategory().

## ◆ withMeta()

auto AudioProcessorParameterWithIDAttributes::withMeta | ( | bool | x | ) | const

See also
  AudioProcessorParameter::isMetaParameter()

References withMember(), and x.

Referenced by RangedAudioParameterAttributes< Derived, Value >::withMeta().

## ◆ withAutomatable()

auto AudioProcessorParameterWithIDAttributes::withAutomatable | ( | bool | x | ) | const

See also
  AudioProcessorParameter::isAutomatable()

References withMember(), and x.

Referenced by RangedAudioParameterAttributes< Derived, Value >::withAutomatable().

## ◆ withInverted()

auto AudioProcessorParameterWithIDAttributes::withInverted | ( | bool | x | ) | const

See also
  AudioProcessorParameter::isOrientationInverted()

References withMember(), and x.

Referenced by RangedAudioParameterAttributes< Derived, Value >::withInverted().

## ◆ getLabel()

auto AudioProcessorParameterWithIDAttributes::getLabel | ( |  | ) | const

An optional label for the parameter's value.

## ◆ getCategory()

auto AudioProcessorParameterWithIDAttributes::getCategory | ( |  | ) | const

The semantics of this parameter.

## ◆ getMeta()

auto AudioProcessorParameterWithIDAttributes::getMeta | ( |  | ) | const

See also
  AudioProcessorParameter::isMetaParameter()

## ◆ getAutomatable()

auto AudioProcessorParameterWithIDAttributes::getAutomatable | ( |  | ) | const

See also
  AudioProcessorParameter::isAutomatable()

## ◆ getInverted()

auto AudioProcessorParameterWithIDAttributes::getInverted | ( |  | ) | const

See also
  AudioProcessorParameter::isOrientationInverted()

The documentation for this class was generated from the following file:

- juce_AudioProcessorParameterWithID.h